Bug 107588 - UI: In Writer and Calc, make default key assignment of F4 to open 'Type' tab for a selected image/object
Summary: UI: In Writer and Calc, make default key assignment of F4 to open 'Type' tab ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Gabor Kelemen (allotropia)
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2017-05-03 11:51 UTC by Cor Nouws
Modified: 2021-03-25 13:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2017-05-03 11:51:01 UTC
In Draw, F4 does open Position and Size.
In Writer/Calc that would be convenient too.
For an image in Writer, F4 should open tab Type of the dialog Image (properties)

Currently F4 does nothing in this situation.
Comment 1 Buovjaga 2017-05-07 09:43:12 UTC
OK -> NEW
Comment 2 Gabor Kelemen (allotropia) 2021-01-11 18:37:32 UTC
Proposed patch for Writer: https://gerrit.libreoffice.org/c/core/+/108883
Comment 3 Heiko Tietze 2021-01-13 13:16:12 UTC
Objection to use a precious function key for a secondary command. They are typically reserved for global features such as Help/F1 or Rename/F2.

While P&S might be crucial for Draw it's not for Writer/Calc.
Comment 4 Commit Notification 2021-03-25 13:22:44 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6c333f95fbdec8fa65701507b33ac53ccbccba2f

tdf#107588 Assign F4 shortcut to Image Properties in Writer

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.